<script setup>
import { ref } from "vue";
const emit = defineEmits(["add"]);
const name = ref("");
const fishId = ref("");

const addFish = () => {  
  if (fishId.value) {
    const f = fishes.filter(f => f.id === fishId.value)[0];
    emit("add", f, name.value || f.id);
  }
};

const fishes = [
  { id: "Golden", src: "/golden-purple-fish.png" },
  { id: "Goldfish", src: "/goldfish.png" },
  { id: "Guppie", src: "/guppie.png" },
  { id: "Tropical", src: "/tropical-fish.png" },
  { id: "Tuna", src: "/tuna.png" },
];
</script>
<template>
  <div class="form">
    <div class="fishes">
      <label class="form__lbl">Pick a fish</label>
      <div v-for="f in fishes" :key="f.id" class="form__radio">
        <label class="form__lbl">
          <input
            type="radio"
            :name="f.id"
            :id="f.id"
            :value="f.id"
            v-model="fishId"
            required
            class="form__radio-button"
          />
          <img :src="f.src" :alt="f.id" class="form__radio-img" />
        </label>
      </div>
    </div>
    <div class="form__group">
      <label for="txtName" class="form__lbl">Name:</label>
      <input type="text" id="txtName" v-model="name" class="form__input" />
    </div>
    <div class="form__group">
      <button class="btn" @click="addFish">Add fish</button>
    </div>
  </div>
</template>
<style scoped>
.form {
  text-align: center;
  margin: 15px;
}
.form__group {
  margin-bottom: 15px;
}
.form__lbl {
  @apply block text-white text-sm font-bold mb-2;
  width: 100%;
  display: inline-block;
  color: white;
}
.form__radio-img {
  height: 90px;
  margin: 10px auto;
  transition: 0.2s all linear;
}
.form__radio-button {
  appearance: none;
  transition: 0.2s all linear;
}
.form__radio-button + .form__radio-img {
  cursor: pointer;
  padding: 5px;
}
.form__radio-button:checked + .form__radio-img {
  border: 2px solid orange;
  border-radius: 20px;
}

.form__input {
  @apply shadow appearance-none border rounded w-full py-2 px-3 leading-tight focus:outline-none;
}
.btn {
  @apply bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 border border-blue-700 rounded;
}
</style>
